/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE QuickTime Components SOURCE CODE.       *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS LIBRARY SOURCE IS     *
 * GOVERNED BY A BSD-STYLE SOURCE LICENSE INCLUDED WITH THIS SOURCE *
 * IN 'COPYING'. PLEASE READ THESE TERMS BEFORE DISTRIBUTING.       *
 *                                                                  *
 * THE QuickTime Components SOURCE CODE IS (C) COPYRIGHT 2001-2002  *
 * by Steve Nicolai http://qtcomponents.sourceforge.net/            *
 *                                                                  *
 ********************************************************************

 function: QuickTime Export Dialog resources
 last mod: $$

 ********************************************************************/

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// defines needed before including headers

// use the platform info array in the 'thng' resource for 68k and PowerPC, or Windows
#define DLOG_RezTemplateVersion 1

#if TARGET_REZ_CARBON_MACHO
    #include <Carbon/Carbon.r>
    #include <QuickTime/QuickTime.r>
#else
    #include "MacTypes.r"
    #include "Components.r"
    #include "Sound.r"
    #include "Icons.r"
    #include "Dialogs.r"
    #include "Controls.r"
    #include "ControlDefinitions.r"
    #include "Appearance.r"
    #include "QuickTimeComponents.r"
#endif

#include "LAMECodec.h"

data 'PICT' (kSoundCompressorResID) {
	$"0C38 0000 0000 0032 00BE 0011 02FF 0C00"            /* .8.....2...... */
	$"FFFF FFFF 0000 0000 0000 0000 00BE 0000"            /* ........... */
	$"0032 0000 0000 0000 001F 8000 8000 8000"            /* .2........... */
	$"001E 0001 000A 0000 0000 0032 00BE 8200"            /* ..........2.. */
	$"0000 0B78 0000 0001 0000 0000 0000 0000"            /* ...x............ */
	$"0000 0000 0000 0001 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 4000 0000 0000 0000 0000"            /* ......@......... */
	$"0000 0000 0000 0040 0000 0000 0032 00BE"            /* .......@.....2. */
	$"0000 0300 0000 0000 0000 0063 706E 6720"            /* ...........cpng  */
	$"0000 0000 0000 0000 0000 0000 6170 706C"            /* ............appl */
	$"0000 0000 0000 0400 00BE 0032 0048 0000"            /* ..........2.H.. */
	$"0048 0000 0000 0AD1 0001 0350 4E47 0000"            /* .H.......PNG.. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0018 FFFF 0000"            /* .............. */
	$"0009 706E 6767 0100 0000 0089 504E 470D"            /* .pngg.....PNG. */
	$"0A1A 0A00 0000 0D49 4844 5200 0000 BE00"            /* .....IHDR.... */
	$"0000 3208 0200 0000 6D64 F669 0000 0004"            /* ..2.....mdi.... */
	$"6741 4D41 0000 D903 42D6 4FA1 0000 0009"            /* gAMA...BO... */
	$"7048 5973 0000 0B13 0000 0B13 0100 9A9C"            /* pHYs.......... */
	$"1800 0000 2174 4558 7453 6F66 7477 6172"            /* ....!tEXtSoftwar */
	$"6500 5175 6963 6B54 696D 6520 352E 302E"            /* e.QuickTime 5.0. */
	$"3220 284D 6163 4F53 2900 B361 E566 0000"            /* 2 (MacOS).af.. */
	$"0007 7449 4D45 07D2 010F 0B0F 0FED 53C0"            /* ..tIME......S */
	$"DD00 000A 3349 4441 5478 9CED 9D7B 6C55"            /* ..3IDATx{lU */
	$"451E C7CF BD14 A155 4834 F8CA F695 5661"            /* E.Ͻ.UH4Va */
	$"435D 7CA7 202B 3E50 1144 765D 170C 0D57"            /* C]| +>P.Dv]...W */
	$"501A B10D 4A0B 1A97 8DCB 5F3E 8340 9504"            /* P..J.._>@. */
	$"D9AE 4602 C80A 5783 EEBA 94A2 1888 424B"            /* ٮF.W.BK */
	$"544C 0009 144B 5AC0 60B2 F887 8FDA 36D1"            /* TL..KZ`6 */
	$"9EFD DEFB 6B7F FBEB 9C39 8FFB 42EE CD7C"            /* k.9B| */
	$"3369 E6CE 9933 8F33 9FF3 9BDF CC39 F736"            /* 3iΙ3396 */
	$"64DB B665 6494 B8C2 192D 7DCF 979D ABFF"            /* d۶ed.-}ϗ */
	$"D59A D12A 8C7E 2D65 101D 70B3 BFFD 74F3"            /* ՚*~-e..pt */
	$"CE43 869E 9C54 A6D0 216E 286E E8C9 4965"            /* CT!n(nIe */
	$"041D C90D C9D0 937B 4A3F 3A4E 6E48 869E"            /* ...Г{J?:NnH */
	$"1C53 9AD1 71E3 8664 E8C9 25A5 131D 6F6E"            /* .Sqd%..on */
	$"4886 9E9C 51DA D009 C20D C9D0 931B 4A0F"            /* HQ.Г.J. */
	$"3AC1 B921 197A 7240 79A9 17E1 CBCD 371D"            /* :!.zr@y.7. */
	$"4728 7259 E96F 3911 F4E0 EF63 33C6 A7DE"            /* G(rYo9.c3Ƨ */
	$"00A3 5F45 A114 1F44 B871 D3DE 76B0 E3D3"            /* ._E..Dqv */
	$"D7BF 6AEF 3A79 EABF DDDF FF40 89F9 2347"            /* ׿j:y@#G */
	$"F48D BA7C 4CF9 6466 68CA E4AB 0C3D 59AA"            /* |Ldfh.=Y */
	$"94D0 D172 73E6 BB37 FFF3 F6B0 031F BC0A"            /* rs7.. */
	$"50BA 26FE DE2A 290A DD72 735F 7149 F844"            /* P&*)rs_qID */
	$"A7BD FBE3 FC1D BB7A 8FB7 21DB E8B1 65A5"            /* .z!e */
	$"1317 5986 9EAC 55F2 E868 B9C1 34F4 F1E6"            /* ..YUh4 */
	$"A711 F971 E9D2 D0C2 1AED 89F6 8183 A10D"            /* .q.. */
	$"1BC3 6B1B C1D6 9595 7360 810C 3DD9 A824"            /* .k.֕s`.=٨$ */
	$"D101 37D1 A61D 1FBE F54A 674F 5EC9 F09F"            /* .7Ѧ..JgO^ */
	$"AF28 3FBF F4C6 F9F8 D876 F878 DFD4 A9F6"            /* (?vxԩ */
	$"D34B 43E3 7EE7 53F1 FBEF 172C A845 C4D0"            /* KC~S.,E */
	$"93A5 4A06 1D70 B3E8 AFAB 8FED DBF8 50D5"            /* J..p诫P */
	$"05E5 B76E EC3D F1C5 BA75 6B00 0D0E 0D2B"            /* .n=źuk....+ */
	$"1BDD 7DD7 AD76 4929 E2E1 D222 7BFA 748F"            /* .}׭vI)"{t */
	$"7260 7E0A 22D5 98BF C6DD 5963 E8C9 3A25"            /* r`~"՘Yc:% */
	$"8C0E D99B 375E FADB B69D FBAE 2DBB 98D3"            /* .ٛ7^۶- */
	$"ABE6 DDBE EDDF 07E1 C1C0 2FC6 4772 8D63"            /* ݾ./Grc */
	$"EE4E D56C 3B32 C7CD 08C5 26AF 679E 0F37"            /* Nl;2.&g.7 */
	$"35A5 9D9E 6834 4A91 A2A2 A2F1 E30D 9119"            /* 5h4J.. */
	$"909D 883E 39D4 F1CA 7B2D 15D7 5FB5 A8BE"            /* >9{-._ */
	$"BCEB A72E 84B7 B6EF 4540 0487 465E 7AE9"            /* .E@.F^z */
	$"FE2F F27A 7A87 5240 1CD9 9019 E979 EFBE"            /* /zzR@.ِ.y */
	$"33E4 E75E D7F0 A7FB 87E6 175C 3F63 C93D"            /* 3^.\?c= */
	$"8FFF 03E5 27D4 2445 274F 9E5C BC78 B1D2"            /* .'$E'O\x */
	$"47D0 83C4 548A 4D48 2B57 AEE4 AA27 4C98"            /* GЃTMH+W'L */
	$"A01C DDB2 658B C7D1 24C4 A5CD 9C39 33F5"            /* .ݲe$ĥ͜93 */
	$"6C09 D41B 3C2B 71B3 6CFD 42A0 8008 E182"            /* l.<+qlB. */
	$"2147 208C 40C9 BBEF FD1F 1D06 68EA B411"            /* !G @ɻ...h. */
	$"3825 DCD0 E04B 0F4A 8871 B9BC 11E5 5348"            /* 8%K.Jq.SH */
	$"A833 E006 94B8 DD24 3894 E0C5 4952 6886"            /* 3.$8IRh */
	$"AC17 1FE5 518C 1C1F 0264 A957 77AE A343"            /* ..Q...dWwC */
	$"DC2C 5FBD 0643 8B31 4684 70F9 C3AC 4A98"            /* ,_.C1FpìJ */
	$"0A8A 830F 890E 4C8E 8CE3 2C37 DB03 AA2E"            /* ..L,7.. */
	$"A8B8 8628 4421 8853 401C E507 EF8C C20D"            /* (D!S@... */
	$"AE11 6E6B 9972 D66C 8FAC 57E1 C383 AAE4"            /* .nkrlWÃ */
	$"1490 8999 034A 0BAF 50A0 DD64 5A87 9FF9"            /* ..J.PdZ */
	$"EECD 8667 A245 8517 DF71 DB10 F8C5 B5F3"            /* ͆gE.q.ŵ */
	$"E7E2 D0A6 751F 519E D73F 3880 BF77 DF1D"            /* Цu.Q?8w. */
	$"3A7C D8DE BDDB AAA9 0995 9674 C297 DABE"            /* :|޽۪ƕtھ */
	$"DD2E 2EB6 5E7C E144 DBD1 E17B 16D4 FEF4"            /* ..^|D{. */
	$"778B 7D67 5AA5 D34E 4FF7 A38F D891 D7E0"            /* w}gZNOؑ */
	$"1275 897A B10A DB36 3B12 A485 D0AA 55AB"            /* .uz6;.ЪU */
	$"E4ED 8E78 6161 21A5 F314 86AB 565F 5F4F"            /* xaa!.V__O */
	$"E950 6B6B 2B5C 223A 0B79 E012 B187 84B1"            /* Pkk+\":.y. */
	$"E76C D1B8 ACB8 DDC2 E988 B4B4 B4F0 6869"            /* lѸ鈴hi */
	$"1B83 6C9C 07E7 D259 96F0 C094 2AA0 53A7"            /* .l.Y*S */
	$"4EE1 A82C 5929 5CB6 0D99 D117 6E8F 2C84"            /* N,Y)\..n, */
	$"AF03 F588 0F71 69F2 0653 2AD5 D6EB 2A5F"            /* ..qi.S**_ */
	$"B860 6C30 8320 9019 206F 06B6 07F6 00A6"            /* `l0 . o... */
	$"88EC 0DF2 E0D0 AA86 3C76 7110 210B 8438"            /* .Ъ<vq.!.8 */
	$"3B40 3805 7685 CA21 1B83 F890 FABA F0FE"            /* ;@8.v!. */
	$"CFB4 D608 560A 3903 DE04 B2C3 CAFD 27FB"            /* ϴ.V9..' */
	$"CBF7 9CF4 3948 3205 7167 B174 DDA5 2BE3"            /* 9H2.qgtݥ+ */
	$"D11E 7916 5B17 E987 7115 DAC6 505D 1854"            /* .y.[.q.P].T */
	$"6781 B210 D918 E764 2DAF 8333 1185 6BE7"            /* g..d-3.k */
	$"F780 339A 0F3A 343D 71E0 F988 3D18 6420"            /* 3.:4=q=.d  */
	$"1488 1B19 9081 72D2 5F8A 2C6B 1845 45C1"            /* ...r_,k.EE */
	$"B9F1 F19D 11EA EB50 7890 6E28 4325 47C5"            /* .Pxn(C%G */
	$"D651 A5B8 234E 5109 7260 B4F2 688F 32C0"            /* Q#NQr`h2 */
	$"9428 878A 736A B921 213F 63E7 D680 201D"            /* (sj!!?cր . */
	$"B175 E8F0 AC8A 5A90 2D51 27CC B5F3 5837"            /* uZ-Q'̵X7 */
	$"0108 1A60 5805 B823 186F E9BE 1010 8009"            /* ...`X.#.o.. */
	$"412E AC9C 0021 0388 619B 848F 4424 B0F0"            /* A..!.aD$ */
	$"F69D C9E3 09E8 2C6B AF17 C989 8E64 8261"            /* ,k.ɉda */
	$"92E3 4A25 4897 8552 9461 F668 8F9C 0568"            /* J%HRah.h */
	$"25A5 CC0B 9C93 EB65 3323 9BC7 FE99 AC17"            /* %.e3#. */
	$"A76F 894B DB71 D948 AEC8 2385 177A 5C66"            /* oKqH#.z\f */
	$"A00B EE76 008E 3046 574E 2560 C849 4F42"            /* .v.0FWN%`IOB */
	$"01D0 9029 A238 8AF2 303C 545D F015 7B42"            /* .А)80<T].{B */
	$"E8C8 14CE 2607 4C19 1539 D292 27EF 26C9"            /* .&.L..9Ғ'& */
	$"9C40 5396 CF33 91E4 49DE EBD2 2438 3BA8"            /* @S3I$8; */
	$"EDB8 5CEA 3B1B E9EC 8B32 5BE1 2339 D101"            /* \;.2[#9. */
	$"9D77 FDFB 3AF0 8B77 1D1B 8A48 41A4 1ACE"            /* w:w..HA. */
	$"6C7F 0BA6 4FB7 FFB9 61CD DAD3 4FFD A558"            /* l..OaOX */
	$"7B16 1C64 2520 F1BE FB86 C353 C629 0870"            /* {..d% S).p */
	$"A2B7 6EED 41FA 25C5 1721 0EDF 79EA 0CB5"            /* nA%.!.y. */
	$"0170 8DAD 279F CABF BA32 34E0 207F D371"            /* .p'ʿ24 .q */
	$"A479 E721 3449 5BA9 EC39 C7E1 FDC9 43F2"            /* y!4I[9C */
	$"A3C7 EA5D 3AAD 1E0A 98CD 1AEC 44B3 AF6D"            /* ]:..Dm */
	$"0DDE A594 53A7 2C99 E3CE B9D5 CD8D D59E"            /* .ޥS,ι͍՞ */
	$"EEA1 152B 56C8 8FA8 082D 8491 43F3 A43B"            /* .+Vȏ.-C; */
	$"EF26 3D3A 132B 4A22 D32A C6DD 5913 3E73"            /* &=:.+J"*Y.>s */
	$"7AC8 C449 D6AC AAD8 88C6 E9F9 E5F9 E7B4"            /* zI֬؈ */
	$"F43C B779 41E5 4DE7 C910 A98E BD59 F1EC"            /* <yAM.Y */
	$"B3DD A064 EE83 9D00 050C 3D10 B96E ECD8"            /* ݠd...=.n */
	$"D0AE EDDF 6A6A 9D55 151E 7121 8809 AF6D"            /* ЮjjU..q!Ưm */
	$"C49A 6B58 D968 3480 8EA0 3168 9277 4FE4"            /* ĚkXh41hwO */
	$"6A42 F61C DCC8 3BDB B9B3 CC60 29C0 69F3"            /* jB.;۹`)i */
	$"7867 53A4 A0E3 BB2E 3BCB 4233 C816 3ADB"            /* xgS.;B3.: */
	$"B364 C912 FFF3 3D2C 12DC 1D4C 1698 32E0"            /* d.=,..L.2 */
	$"F40C DA11 AEAF C354 A24C 46B1 ED19 B844"            /* ..TLF.D */
	$"FB3F 4336 B916 C3AC 84B9 098E 0EFB 3AE4"            /* ?C6.ìƎ.: */
	$"6223 BEA9 6FB6 E214 C3F5 E112 C819 42ED"            /* b#o...B */
	$"6846 10FB 29F9 B006 8C3F 2E8D BC2E 6CFC"            /* hF.).?..l */
	$"A537 404E A2E2 11D3 84A5 CC74 8A2F E97D"            /* 7@N.ӄt/} */
	$"F548 5A4A E4BA C9D6 CD38 D2D2 7838 2B4A"            /* HZJ8x8+J */
	$"BA35 B094 93A7 7399 DAD3 D112 748A CF0A"            /* 5s.t */
	$"3E17 DBBE 2B2C A207 81C6 92E8 C1E8 4E7A"            /* >.۾+,.ƒNz */
	$"FC06 C9CD 2008 E2FB C2BC E022 279A 02F9"            /* . .¼"'. */
	$"37BC 6EBF B76F ABF7 F20A E52C 5BBF D0B7"            /* 7no,[з */
	$"0F2C DFBB 59EB 4C68 45E8 F82E C47C 9BE4"            /* .,߻YLhE.| */
	$"5C3D 391F 3EC8 B518 391C 323F 73A6 1D7B"            /* \=9.>ȵ.9.2?s.{ */
	$"7B30 3A74 BA9C 94B9 CBCA E94E 2F5E A213"            /* {0:tN/^. */
	$"E409 897F E741 0F19 1E5A 5493 E30C 5614"            /* Ɖ.A...ZT.V. */
	$"9323 C7DB F938 42AE C834 B4B9 6C31 A328"            /* #8B4l1( */
	$"DFE6 29F2 A047 D94A 566E 3265 C386 1D6D"            /* )GJVn2eÆ.m */
	$"44E4 4828 3B66 419A A478 57DA 75AF 5BB3"            /* DH(;fAxWu[ */
	$"A5BF EF8B 8EB3 10F9 ECC5 79BA C7B5 52EC"            /* .yǵR */
	$"A256 813A CFDB 30FD 7356 7D1D 8C01 0371"            /* V:0sV}...q */
	$"7BE3 1C1C A510 B313 0DA3 82AC B67C 4C4E"            /* {.....|LN */
	$"BC16 ACE1 8334 4F91 32AD D08D E876 2DC8"            /* .4O2Ѝv- */
	$"62D3 51ED 9620 97C9 863D 5174 C899 60B9"            /* bQ Ɇ=Qtș` */
	$"AD5F 904D A2EC 6CB3 DB93 044E A7BE 30A9"            /* _Mlۓ.N0 */
	$"B855 645D DAD3 954A BDAF 9522 FFCE D3A6"            /* Ud]ӕJ"Ӧ */
	$"9F62 57E4 0620 E2F0 5D28 782C DD79 DA42"            /* bW. ](x,yB */
	$"78F8 A36A B71D 6439 F1A1 B420 7D48 4244"            /* xj.d9 }HBD */
	$"092F 4729 5132 4197 8F52 7071 F982 CAED"            /* /G)Q2ARpq */
	$"9FB3 F63C F5DC 943F 3A70 74C8 63A5 40D3"            /* <ܔ?:ptc@ */
	$"166D F405 D9C8 E1F7 2E78 CAE3 C79C DE1B"            /* .m..xǜ. */
	$"CAA8 6BD1 F2C6 0C75 5BF1 A9DD ECBC F3FD"            /* ʨk.u[ */
	$"0DA9 B3F9 22C7 39A8 C45E F5AA 5B7C C527"            /* ."9^[|' */
	$"ED7F 44E4 D8BE 8DDD DFFF 307A 6C59 75E4"            /* .Dؾ0zlYu */
	$"484D 4D48 E6A1 C79F 3B76 E4EF F9BC 0079"            /* HMMHǟ;v.y */
	$"62EF 0D8E 29B7 27DD 1C2E 2DC2 C23B 7FE4"            /* b.)'..-;. */
	$"88A2 C2FE 17C4 E8C5 424B BC5B 883C FD2F"            /* .BK[</ */
	$"C0AF DF14 6E6A DAB0 F5C3 07A6 7839 B3A9"            /* .njڰ.x9 */
	$"08EB 4FED 7306 70B3 77EF 5EDE 1729 2E2E"            /* .Os.pw^.).. */
	$"D63A CBB4 E0CA 50DB B242 09BF 25B8 B9B9"            /* :˴P۲Bƿ% */
	$"65C3 B62F ADF8 4E1D 0164 C5DF 06A4 A3FC"            /* eö/N..d. */
	$"BD19 C8F9 9272 FED5 95E1 33A7 AFAC 9CC3"            /* .rՕ3 */
	$"293D 5F37 77F6 E421 91CB A108 A09C 37AF"            /* )=_7w!ˡ.7 */
	$"F609 9717 E3D3 A5D6 D6D6 96B8 3845 FBDC"            /* Ɨ.ӥ֖8E */
	$"381A 8D22 2703 44D3 9C79 F330 9977 9399"            /* 8."'.DӜy0w */
	$"1E4B 7C3D 0F10 E0EF F0DF 4CC1 DFA3 ED3B"            /* .K|=..Lߣ; */
	$"7B8F B7F5 7F99 6640 F947 DB69 A36F 4CF9"            /* {.f@GioL */
	$"646D B173 E7FF D9BC 9B9C 454A F21B 1192"            /* dmsټEJ.. */
	$"1E37 75EC 7959 F9FE 1EA6 2A62 CBA9 276B"            /* .7uyY.*b˩'k */
	$"EFCF DCDC 6494 0925 FF3D AC20 F458 C22C"            /* d%= X, */
	$"79C8 7093 8D4A FEE7 0A30 D891 6915 A9B7"            /* ypJ0ؑi. */
	$"C070 93A5 4AE9 972E 52A7 C770 93BD 4AF5"            /* pJ.RpJ */
	$"4752 52A1 C770 93D5 4AC3 EFEB 2447 8FE1"            /* GRRpJ$G */
	$"26DB 959E 9F66 4A94 1EC3 4D0E 286D 3F08"            /* &ەfJ.M.(m?. */
	$"179C 1EC3 4D6E 289D 3F43 1984 1EC3 4DCE"            /* ..Mn(?C..M */
	$"28CD 3F7E EB4D 8FE1 2697 94FE 9FDC 76A3"            /* (?~M&v */
	$"C770 9363 CAC8 0FFD 3BE9 31DC E49E 32F5"            /* pc.;12 */
	$"EF45 243D 869B 9C54 AABF 60EA ADCD CDB1"            /* E$=T`ͱ */
	$"F719 0C37 39A9 FF01 9E99 6983 C4D7 1C7B"            /* ..79.i.{ */
	$"0000 0000 4945 4E44 AE42 6082 0007 00AE"            /* ....IENDB`... */
	$"0074 0007 0001 0001 0003 0003 0004 0000"            /* .t.............. */
	$"000D 000C 0010 00BE 00BE 00BE 00BE 0028"            /* ...........( */
	$"000D 0029 1051 7569 636B 5469 6D65 AA20"            /* ...).QuickTime  */
	$"616E 6420 6100 0028 0019 0026 1050 4E47"            /* and a..(...&.PNG */
	$"2064 6563 6F6D 7072 6573 736F 7200 0028"            /*  decompressor..( */
	$"0025 0002 1F61 7265 206E 6565 6465 6420"            /* .%...are needed  */
	$"746F 2073 6565 2074 6869 7320 7069 6374"            /* to see this pict */
	$"7572 652E 0000 00FF"                                /* ure.... */
};


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// options dialog resources

#ifdef NEVER_DEFINED

#define ExportDialogWidth  280
#define ExportDialogHeight 305

resource 'DLOG' (kSoundCompressorResID, OggVExporterName, purgeable) {
	{0, 0, ExportDialogHeight, ExportDialogWidth},
	movableDBoxProc,
	invisible, noGoAway, 0, kSoundCompressorResID, "Ogg Vorbis Settings", alertPositionParentWindow
};

resource 'DITL' (kSoundCompressorResID, OggVExporterName, purgeable) {
	{	
/* [1] */	{ExportDialogHeight - 40, ExportDialogWidth - 20 - 69,           ExportDialogHeight - 20, ExportDialogWidth-20}, Button {enabled, "OK"},
/* [2] */	{ExportDialogHeight - 40, ExportDialogWidth - 20 - 69 - 12 - 69, ExportDialogHeight - 20, ExportDialogWidth - 20 - 69 - 12}, Button {enabled, "Cancel"},
/* [3] */	{5,    (ExportDialogWidth - 190) / 2,  55, ((ExportDialogWidth - 190) / 2) + 190}, Picture {disabled, kSoundCompressorResID},

/* [4] */	{80, 20, 96, 80}, StaticText {disabled, "Quality" },
/* [5] */	{80, 88, 96, ExportDialogWidth - 58}, Control {enabled, kSoundCompressorResID },
/* [6] */	{80, ExportDialogWidth - 50, 96, ExportDialogWidth - 20}, StaticText {enabled, "" },

/* [7] */	{120, 20, 136, 200}, CheckBox {enabled, "Use Managed Bitrates" },

/* [8] */	{155, 115, 171, 180}, EditText {enabled, "" },
/* [9] */	{190, 115, 206, 180}, EditText {enabled, "" },
/* [10] */	{225, 115, 241, 180}, EditText {enabled, "" },

/* [11] */	{155, 40, 171, 105}, StaticText {disabled, "Minimum" },
/* [12] */	{190, 40, 206, 105}, StaticText {disabled, "Average" },
/* [13] */	{225, 40, 241, 105}, StaticText {disabled, "Maximum" },

/* [14] */	{155, 190, 171, ExportDialogWidth - 20}, StaticText {disabled, "bits/sec" },
/* [15] */	{190, 190, 206, ExportDialogWidth - 20}, StaticText {disabled, "bits/sec" },
/* [16] */	{225, 190, 241, ExportDialogWidth - 20}, StaticText {disabled, "bits/sec" },
	}
};

resource 'dlgx' (kSoundCompressorResID, OggVExporterName, purgeable) {
	versionZero		/* sometimes the headers have this as latestVersion */
	{kDialogFlagsUseThemeBackground | kDialogFlagsUseControlHierarchy | kDialogFlagsUseThemeControls}
};

resource 'CNTL' (kSoundCompressorResID, "", purgeable)
{
    {80, 88, 96, ExportDialogWidth - 58},       /* Bounds               */
    30,                                         /* Value                */
    visible,
    100, 1,                                     /* Max, Min             */
    kControlSliderProc + kControlSliderLiveFeedback + kControlSliderNonDirectional,
    0,
    ""
};

#endif
